public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-biology/pysam/
Date: Thu, 30 Mar 2023 11:11:18 +0000 (UTC)	[thread overview]
Message-ID: <1680174661.b29c8f32c0c043d2fcb82195fb58d00fcd771449.soap@gentoo> (raw)

commit:     b29c8f32c0c043d2fcb82195fb58d00fcd771449
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 11:11:01 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 11:11:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b29c8f32

sci-biology/pysam: add 9999

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/pysam/pysam-9999.ebuild | 72 +++++++++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

diff --git a/sci-biology/pysam/pysam-9999.ebuild b/sci-biology/pysam/pysam-9999.ebuild
new file mode 100644
index 000000000000..a162ddf2158b
--- /dev/null
+++ b/sci-biology/pysam/pysam-9999.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/pysam-developers/pysam.git"
+else
+	SRC_URI="https://github.com/pysam-developers/pysam/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Python interface for the SAM/BAM sequence alignment and mapping format"
+HOMEPAGE="
+	https://github.com/pysam-developers/pysam
+	https://pypi.org/project/pysam/"
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND=">=sci-libs/htslib-1.17"
+DEPEND="${RDEPEND}
+	dev-python/cython[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+	test? (
+		>=sci-biology/bcftools-1.17
+		>=sci-biology/samtools-1.17
+	)"
+
+distutils_enable_tests pytest
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+EPYTEST_DESELECT=(
+	# only work with bundled htslib
+	'tests/tabix_test.py::TestRemoteFileHTTP'
+	'tests/tabix_test.py::TestRemoteFileHTTPWithHeader'
+)
+
+python_prepare_all() {
+	# unbundle htslib
+	export HTSLIB_MODE="external"
+	export HTSLIB_INCLUDE_DIR="${ESYSROOT}"/usr/include
+	export HTSLIB_LIBRARY_DIR="${ESYSROOT}"/usr/$(get_libdir)
+	rm -r htslib || die
+
+	# prevent setup.py from adding RPATHs (except $ORIGIN)
+	sed -e '/runtime_library_dirs=htslib_library_dirs/d' \
+		-i setup.py || die
+
+	if use test; then
+		einfo "Building test data"
+		emake -C tests/pysam_data
+		emake -C tests/cbcf_data
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile() {
+	# breaks with parallel build
+	# need to avoid dropping .so plugins into
+	# build-lib, which breaks tests
+	esetup.py build_ext --inplace -j1
+	distutils-r1_python_compile -j1
+}


             reply	other threads:[~2023-03-30 11:11 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-30 11:11 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-24  9:54 [gentoo-commits] repo/gentoo:master commit in: sci-biology/pysam/ David Seifert
2023-04-06 19:29 David Seifert
2023-04-06 18:10 David Seifert
2023-02-19 15:44 David Seifert
2023-02-19 15:23 David Seifert
2022-06-19  8:09 David Seifert
2022-06-19  8:09 David Seifert
2022-06-10 12:42 David Seifert
2021-10-09  9:32 Arthur Zamarin
2021-10-03 17:41 David Seifert
2020-02-11 12:25 Michał Górny
2017-09-17 10:55 David Seifert
2017-09-17 10:55 David Seifert
2017-09-02 11:04 David Seifert
2016-04-09 22:14 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680174661.b29c8f32c0c043d2fcb82195fb58d00fcd771449.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox